> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get Bank Details

GET https://api.letsdeel.com/rest/payouts/employees/methods

Retrieves the configured bank payout methods for an employee.

 **Token scopes**: `worker:read`, `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/payouts/get-bank-details-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Response

### 200

Get Bank Details

- `data` (list of PayoutsEmployeesMethodsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### PayoutsEmployeesMethodsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — Unique identifier for the bank details
- `data` (PayoutsEmployeesMethodsGetResponsesContentApplicationJsonSchemaDataItemsData, optional)
- `status` (string, optional) — Status of the bank details
- `version` (string, optional) — Version identifier
- `created_at` (string, optional) — Creation timestamp
- `updated_at` (string, optional) — Last update timestamp
- `is_active_version` (boolean, optional) — Indicates if this is the active version
- `funds_distribution` (double, optional) — Funds distribution percentage

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### PayoutsEmployeesMethodsGetResponsesContentApplicationJsonSchemaDataItemsData

- `city` (string, optional) — Name of the city
- `iban` (string, optional) — International Bank Account Number
- `postal` (string, optional) — Postal code
- `bank_name` (string, optional) — Name of the bank
- `full_name` (string, optional) — Full name of the account holder
- `swift_bic` (string, optional) — SWIFT/BIC code
- `country_code` (string, optional) — Country code
- `address_line1` (string, optional) — Address line 1
- `original_name` (string, optional) — Original name of the account holder
- `province_state` (string, optional) — Province or state
- `bank_country_code` (string, optional) — Country code of the bank

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "fd64ee5a-d4bf-49c4-a83e-60ab24a80b99",
      "data": {
        "city": "City",
        "iban": "FI6300001111222233",
        "postal": "102030",
        "bank_name": "BANK NAME",
        "full_name": "FULL NAME",
        "swift_bic": "FIXXXXFI",
        "country_code": "FI",
        "address_line1": "Address Line",
        "original_name": "ORIGINAL NAME V2",
        "province_state": "Province",
        "bank_country_code": "FI"
      },
      "status": "APPROVED",
      "version": "8fb84054-9100-40cb-b0cf-a180decbbfc7",
      "created_at": "2024-11-28T11:22:11.499Z",
      "updated_at": "2024-11-28T11:56:54.082Z",
      "is_active_version": true,
      "funds_distribution": 0
    },
    {
      "id": "cddad0e1-97f1-446c-b322-5d6acd24fbca",
      "data": {
        "city": "City",
        "iban": "ES60X0542811101000000123456",
        "postal": "102030",
        "bank_name": "BANK NAME",
        "full_name": "FULL NAME",
        "swift_bic": "FIXXXXFI",
        "country_code": "ES",
        "address_line1": "Address Line",
        "original_name": "ORIGINAL NAME",
        "province_state": "Province",
        "bank_country_code": "ES"
      },
      "status": "APPROVED",
      "version": "12d1145d-dc5e-4753-97ab-4bd9596e1543",
      "created_at": "2024-11-28T11:55:44.322Z",
      "updated_at": "2024-11-28T11:56:54.082Z",
      "is_active_version": true,
      "funds_distribution": 0
    },
    {
      "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
      "data": {
        "city": "City",
        "iban": "IT60X0542811101000000123456",
        "postal": "102030",
        "bank_name": "BANK NAME",
        "full_name": "FULL NAME",
        "swift_bic": "FIXXXXFI",
        "country_code": "IT",
        "address_line1": "Address Line",
        "original_name": "ORIGINAL NAME",
        "province_state": "Province",
        "bank_country_code": "IT"
      },
      "status": "APPROVED",
      "version": "f278fcff-0ffb-420c-8207-929b926638a0",
      "created_at": "2024-11-28T11:56:54.057Z",
      "updated_at": "2024-11-28T11:56:54.091Z",
      "is_active_version": true,
      "funds_distribution": 100
    }
  ]
}
```

**SDK Code**

```python Get Bank Details
import requests

url = "https://api.letsdeel.com/rest/payouts/employees/methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get Bank Details
const url = 'https://api.letsdeel.com/rest/payouts/employees/methods';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Bank Details
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/payouts/employees/methods"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Bank Details
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/payouts/employees/methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Get Bank Details
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/payouts/employees/methods")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Get Bank Details
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/payouts/employees/methods', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Get Bank Details
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/payouts/employees/methods");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Get Bank Details
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/payouts/employees/methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```